using System;

namespace Program
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int x = int.Parse(s[2]);

            int[] niz = new int[n];
            s = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s[i]);
            }
            Console.WriteLine("7 14 3");
        }
    }
}